package com.cmvr.llm.service;

import com.alibaba.fastjson2.JSONObject;

import java.io.File;

public interface LLMTouchService {

    public String bgeVl(File image);

    /**
     * 获取坐标
     * icon_image icon的地址
     * icon_desc icon的描述
     * input_image 照片地址
     */
    public String getCoordinates(String iconImage, String iconDesc, String inputImage);

    public JSONObject touchCoordinates(File image, String targetUi, String manufacturer, String vehType);
}
